package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxQuestion;
import com.iformall.domain.po.WxQuestionConfig;
import com.iformall.domain.po.WxQuestionLog;

import java.util.List;

public interface WxQuestionService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxQuestion> listAsPage(WxQuestion record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxQuestion getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxQuestion record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    List<WxQuestion> findList(WxQuestion wxTags);



    List<WxQuestionConfig> findConfigList(WxQuestionConfig wxQuestionConfig);

    List<WxQuestionLog> findLogList(WxQuestionLog wxQuestionLog);

    void saveOrUpdateConfig(WxQuestionConfig record);

    void saveOrUpdateLog(WxQuestionLog record);
}
